curl https://api.voicy.co/v1/list-agents \
-H "Authorization: Bearer voicy_sk_live_xxx"
[
{
"agent_id": "550e8400-e29b-41d4-a716-446655440001",
"agent_name": "Customer Support Agent",
"account": {
"id": "550e8400-e29b-41d4-a716-446655440099",
"name": "Acme Corp"
},
"voice_id": "openai:sage",
"language": "en",
"begin_message": "Hello! How can I help you today?",
"agent_prompt": "You are a helpful customer support agent...",
"begin_message_mode": "static",
"prompt_text_direction": "ltr",
"version": 2,
"deployed_at": null,
"agent_type": "singlePrompt",
"notification_emails": [],
"end_call_enabled": false,
"end_call_condition": "",
"transfer_call_enabled": false,
"transfer_call_destination": null,
"is_operating_hours_active": false,
"operating_hours": null,
"pronunciations": []
}
]
List all agents accessible to the authenticated user
curl https://api.voicy.co/v1/list-agents \
-H "Authorization: Bearer voicy_sk_live_xxx"
[
{
"agent_id": "550e8400-e29b-41d4-a716-446655440001",
"agent_name": "Customer Support Agent",
"account": {
"id": "550e8400-e29b-41d4-a716-446655440099",
"name": "Acme Corp"
},
"voice_id": "openai:sage",
"language": "en",
"begin_message": "Hello! How can I help you today?",
"agent_prompt": "You are a helpful customer support agent...",
"begin_message_mode": "static",
"prompt_text_direction": "ltr",
"version": 2,
"deployed_at": null,
"agent_type": "singlePrompt",
"notification_emails": [],
"end_call_enabled": false,
"end_call_condition": "",
"transfer_call_enabled": false,
"transfer_call_destination": null,
"is_operating_hours_active": false,
"operating_hours": null,
"pronunciations": []
}
]
vars_provided, vars_extracted, and pronunciations for performance. Use Get Agent to retrieve the full agent object.
curl https://api.voicy.co/v1/list-agents \
-H "Authorization: Bearer voicy_sk_live_xxx"
[
{
"agent_id": "550e8400-e29b-41d4-a716-446655440001",
"agent_name": "Customer Support Agent",
"account": {
"id": "550e8400-e29b-41d4-a716-446655440099",
"name": "Acme Corp"
},
"voice_id": "openai:sage",
"language": "en",
"begin_message": "Hello! How can I help you today?",
"agent_prompt": "You are a helpful customer support agent...",
"begin_message_mode": "static",
"prompt_text_direction": "ltr",
"version": 2,
"deployed_at": null,
"agent_type": "singlePrompt",
"notification_emails": [],
"end_call_enabled": false,
"end_call_condition": "",
"transfer_call_enabled": false,
"transfer_call_destination": null,
"is_operating_hours_active": false,
"operating_hours": null,
"pronunciations": []
}
]